# Release Notes

v1.4.4 - 2017/07/05
===========================================================================

### 추가내역
- 베트남 PG (Net2E) 연동
- 애플 무료복원 처리 현상에 대한 처리작업 추가
- 애플 결제완료 시점 수정



v1.4.3 - 2017/01/19
===========================================================================

### BugFixed
- 결제취소시 기존 가이드와 상이한 에러코드 수정
- processesIncompletePurchasesWithCompletionHandler:~ 에서 처리할 값이 없을 경우 비어있는 NSArray가 아닌 NSDictionary로 리턴하도록 수정


v1.4.1 - 2016/11/24
===========================================================================

### BugFixed
- 결제검증 완료처리시 transaction zombie화 현상 수정


v1.4.0 - 2016/11/02
===========================================================================

### 추가내역
- 미처리 결제건 일괄 재처리 API 추가

```
(instancetype) processesIncompletePurchasesWithCompletionHandler:(TIARequestHandler)handler;
```


v1.3.3 - 2016/9/29
===========================================================================

### 변경내역
- 구매가능 아이템 리스트 API(itemListWithCompletionHandler) 호출 시 유저등록 API(registerUserId) 호출 없이 가능하도록 수정

v1.3.2 - 2016/8/24
===========================================================================

### 추가내역
- Web Console 에 등록한 아이템중 상태가 'USE'인 아이템을 조회하는 API 추가

v1.3.1 - 2016/6/29
===========================================================================

### BugFixed
- appStoreReceiptURL 에서 받은 receipt가 없을경우 skPaymentTransaction 을 종료하는 로직 수정
- 영수증 refresh 로직 수정


v1.3.0 - 2016/6/24
===========================================================================

### BugFixed
- 유저의 locale 정보 획득 로직 수정



v1.2.0 - 2016/4/18
===========================================================================

### BugFixed
- IAP 서버에서 검증시 in_app 필드가 비어있을 시 Receipt Refresh
- SKPaymentQueue에 잔존하는 결제건이 재실행될 경우 price / currency 채울 수 있도록 수정
- finishTransaction 호출시점 변경
- 로컬 DB 로직 버그 수정

### 추가내역
- 결제예약시 유저의 country값 획득


v1.1.0 - 2015/2/5
===========================================================================

### BugFixed
- iTunes Connect에 정상적으로 연결되지 않는 디바이스일때, 크래쉬되는 이슈 수정
- 결제 요청시 중복으로 노출되었던 Alert 메세지 노출

v1.0.0 - 2014/12/11
===========================================================================

### 추가내역
- 화폐단위/가격정보를 제외한 결제요청 API 추가
```
(instancetype) startPurchaseWithViewController:(UIViewController*)baseViewController itemId:(long) itemId completionHandler:(TIARequestHandler)handler;
```

### 변경내역
- 결제내역의 화폐 / 가격 정보를 마켓을 통해 수집하도록 변경
- 결제 요청 API의 Response 에 화폐 / 가격정보를 추가

### 삭제내역
- 화폐단위 / 가격정보를 포함한 결제 요청 API 삭제
```
(instancetype) startPurchaseWithViewController:(UIViewController*)baseViewController itemId:(long) itemId currency:(NSString *) currency price:(float) price completionHandler:(TIARequestHandler)handler;
```

### BugFixed
- 결제 진행중 실패후, 재시도시 정상적으로 진행되지 않는 버그 수정

v0.2.0 - 2014/11/17
===========================================================================
- 초기배포
